export default {
  methods:{
    handlerCall({contactPerson,contactPhone}){
      uni.showModal({
        title:contactPerson,
        content:contactPhone,
        confirmText:"拨打",
        cancelText:"复制",
        confirmColor:"#135AB8",
        success(res){
          if (res.confirm) {
            uni.makePhoneCall({
              phoneNumber: contactPhone
            });
          } else if (res.cancel) {
            uni.setClipboardData({
              data:contactPhone,
            })
          }
        }
      })
    },

    goToLog(e){
      uni.navigateTo({
        url:`/subPages/partyReport/fillLog?reportId=${e.id}&signupId=${e.signupId}&signupContent=${e.signupContent}`
      })
    },

    signUp(e){
      uni.navigateTo({
        url:`/subPages/partyReport/signUp?reportId=${e.id}`
      })
    }
  }
}